<?php
require_once ("config.inc.php");

function func_LB_einmal($pauschale)
{

		// Berechnung der Leistungszulagen für die Wahrnehmung von Funktionen
		// Ermitteln des Anfangsdatum (vergaberahmen
		// Ermitteln des Enddatum (wenn der letze in Ruhestand geht)
		// Schleife über alle Jahreswerte der Einmalzulagen
		// Ist in einem Jahr kein Wert eingetragen, wird pauschal 10.000€ angenommen.

		$db = dbconnect();
		$result_truncate = $db->query("TRUNCATE TABLE prog_tmp_lb_einmal");
		$query_minjahr = $db->query("SELECT min(jahr) jahr
                                FROM `prog_vergaberahmen`
                            ");
		$row_minjahr = $query_minjahr->fetch_array();
		$start = new DateTime($row_minjahr['jahr'] . '-01-01');
		$query_maxjahr = $db->query("SELECT date_format(max(date_sub(weggang, INTERVAL 1 MONTH)),'%Y-%m-28') enddat_form
                                    FROM `prog_tmp_professor`
                                ");
		$row_maxjahr = $query_maxjahr->fetch_array();
		$ende = $row_maxjahr['enddat_form'];
		$end = date_create($ende, new DateTimeZone('GMT'));
		foreach(new DatePeriod($start, new DateInterval('P1Y') , $end) as $cur) {

				//         echo $cur->format('Y')."<br />";

				$akt_jahr = $cur->format('Y');
				$query_akteinmal = $db->query("SELECT lbemid, wert
                                             FROM prog_lb_einmal
                                            WHERE jahr = $akt_jahr
                                          ");
				$row_akteinmal = $query_akteinmal->fetch_array();
				if ($row_akteinmal['lbemid'] != "") {

						//             echo "INSERT INTO prog_tmp_lb_einmal (lbemid,  jahr, wert, art) VALUES ($row_akteinmal[lbemid], '$akt_jahr', $row_akteinmal[wert], 'B')<br />";

						$result_insert = $db->query("INSERT INTO prog_tmp_lb_einmal (lbemid,  jahr, wert, art) VALUES ($row_akteinmal[lbemid], '$akt_jahr', '$row_akteinmal[wert]', 'B')");
				}
				else {

						//             echo "INSERT INTO prog_tmp_lb_einmal (lbemid,  jahr, wert, art) VALUES (0, '$akt_jahr', '10000.00', 'F')<br />";

						$result_insert = $db->query("INSERT INTO prog_tmp_lb_einmal (lbemid,  jahr, wert, art) VALUES (0, '$akt_jahr', '$pauschale', 'F')");
				}
		}
} // Ende Funktion

// func_LB_einmal();

?>